Skip to content

List secrets

GET
/api/orgs/{org}/projects/{project}/secrets
curl --request GET \
--url https://api.wrktr.com/api/orgs/example/projects/example/secrets \
--header 'Authorization: Bearer <token>'

Names, who set each and when. Never the values.

org
required
string
project
required
string

Success

Media typeapplication/json
Array<object>
object
name
required
string
updatedAt
required
Any of:
number
updatedBy
required
string
Example
[
{
"updatedAt": "Infinity"
}
]

Unauthorized

Media typeapplication/json
object
_tag
required
string
Allowed values: Unauthorized
message
required
string
Example
{
"_tag": "Unauthorized"
}

ProjectNotFound

Media typeapplication/json
object
_tag
required
string
Allowed values: ProjectNotFound
project
required
string
Example
{
"_tag": "ProjectNotFound"
}